<div id="top_of_dialog">
	<strong>{{tipo}} Configurazione Megaconcerto</strong>
</div>

<div style="margin-top: 15px">
	
	<table class="table table-bordered listViewEntriesTable">
		<thead>
			<tr>
				<th class="blockHeader">Valido da</th>
				<th class="blockHeader">Valido a</th>
				<th class="blockHeader">Soglia (€)</th>
				<th class="blockHeader">% Aggio sottosoglia</th>
				<th class="blockHeader">% Aggio soprasoglia</th>
			</tr>
			<tr>
				<td>
					<div class="controls">
						<div class="input-append date" id="datepickerMCEditFatturaStartDate" data-date-format="dd-mm-yyyy">
							<input placeholder="gg-mm-aaaa" type="text" name="date"
								ng-model="mc.inizioPeriodoValidazione"
								style="width: 125px; height: 23px"> <span
								class="add-on" style="height: 23px"><i
								class="icon-th"></i></span>
						</div>
						<script type="text/javascript">
							$("#datepickerMCEditFatturaStartDate")
								.datepicker(
									{
										format : 'dd-mm-yyyy',
										language : 'it',
										viewMode : "days",
										minViewMode : "days",
										orientation : "bottom auto",
										autoclose : "true"
									})
						</script>
					</div>
				</td>
				<td>
					<div class="controls">
						<div class="input-append date" id="datepickerMCEditFatturaEndDate" data-date-format="dd-mm-yyyy">
							<input placeholder="gg-mm-aaaa" type="text" name="date"
								ng-model="mc.finePeriodoValidazione"
								style="width: 125px; height: 23px"> <span
								class="add-on" style="height: 23px"><i
								class="icon-th"></i></span>
						</div>
						<script type="text/javascript">
							$("#datepickerMCEditFatturaEndDate")
								.datepicker(
									{
										format : 'dd-mm-yyyy',
										language : 'it',
										viewMode : "days",
										minViewMode : "days",
										orientation : "bottom auto",
										autoclose : "true"
									});
						</script>
					</div>
				</td>
				<td><input autofocus ng-model="mc.soglia"></td>
				<td><input ng-model="mc.aggioSottosoglia"></td>
				<td><input ng-model="mc.aggioSoprasoglia"></td>
			</tr>
			<tr>
				<th class="blockHeader">CAP (€)</th>
				<th class="blockHeader">Tipo CAP</th>
				<th class="blockHeader">Codice Regola</th>
				<th class="blockHeader" ng-show="modifica">Utente creazione</th>
				<th class="blockHeader" ng-show="modifica">Data creazione</th>
				<th ng-show="!modifica"></th>
				<th ng-show="!modifica"></th>
			</tr>
			<tr>
				<td><input ng-model="mc.valoreCap"></td>
				<td>
					<select ng-model="mc.flagCapMultiplo">
						<option value="false">Singolo</option>
						<option value="true">Multiplo</option>
					</select>
				</td>
				<td><input ng-model="mc.codiceRegola" ng-disabled="modifica"></td>
				<td ng-show="modifica">{{mc.utenteCreazione}}</td>
				<td ng-show="modifica" ng-bind="mc.dataCreazione ? (mc.dataCreazione| date: 'dd/MM/yyyy') : ''"></td>
				<td ng-show="!modifica"></td>
				<td ng-show="!modifica"></td>
			</tr>
			<tr ng-show="modifica">
				<th class="blockHeader">
					Tipo ultima modifica
				</th>
				<th class="blockHeader">
					Utente ultima modifica
				</th>
				<th class="blockHeader">
					Data e ora ultima modifica
				</th>
				<th class="blockHeader">
				</th>
				<th class="blockHeader">
				</th>
			</tr>
			<tr ng-show="modifica">
				<td>
					{{mc.tipoUltimaModifica}}
				</td>
				<td>
					{{mc.utenteUltimaModifica}}
				</td>
				<td>
					{{mc.dataUltimaModifica | date: 'dd/MM/yyyy HH:mm:ss'}}
				</td>
				<td>
				</td>
				<td>
				</td>
			</tr>
		</thead>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
		<tr>
			<td>
			</td>
			<td align="left">
				<button type="button" class="btn addButton" ng-click="cancel()">
					<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
				</button>
			</td>
			<td align="right">
				<button ng-show="!modifica &&
								mc.inizioPeriodoValidazione != '' && mc.inizioPeriodoValidazione != undefined &&
								mc.soglia != '' && mc.soglia != undefined &&
								mc.aggioSottosoglia != '' && mc.aggioSottosoglia != undefined &&
								mc.aggioSoprasoglia != '' && mc.aggioSoprasoglia != undefined &&
								mc.valoreCap != '' && mc.valoreCap != undefined &&
								mc.flagCapMultiplo != undefined &&
								mc.codiceRegola != '' && mc.codiceRegola != undefined" 
								type="button" class="btn addButton" ng-click="save(mc)">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>
				 <button ng-show="modifica" type="button" class="btn addButton" ng-click="saveModify(mc)">
					<span class="glyphicon glyphicon-ok"></span>&nbsp;&nbsp;
					<strong>Salva</strong>
				</button>  
			</td>
		</tr>
	</table>
</div>

<div style="margin-top: 15px" ng-show="modifica">
	<strong>Storico Configurazioni Megaconcerto</strong>
	
	<table ng-repeat="conf in storico"  class="table table-bordered listViewEntriesTable">
		<thead>
			<tr>
				<th class="blockHeader" colspan="6" ng-show="hideForm">
					<span ng-click="hideForm=false"	class="glyphicon glyphicon-expand"></span>&nbsp;Configurazione
					<label style="float:right">
						{{conf.utenteUltimaModifica ? conf.utenteUltimaModifica : conf.utenteCreazione}}, 
						{{conf.dataUltimaModifica ? (conf.dataUltimaModifica| date: 'dd/MM/yyyy HH:mm:ss') : (conf.dataCreazione| date: 'dd/MM/yyyy') }}
					</label>
				</th>
				<th class="blockHeader" colspan="6" ng-hide="hideForm">
					<span ng-click="hideForm=true" class="glyphicon glyphicon-collapse-down"></span>&nbsp;Configurazione
					<label style="float:right">
						{{conf.utenteUltimaModifica ? conf.utenteUltimaModifica : conf.utenteCreazione}}, 
						{{conf.dataUltimaModifica ? (conf.dataUltimaModifica | date: 'dd/MM/yyyy HH:mm:ss') : (conf.dataCreazione | date: 'dd/MM/yyyy')}}
					</label>
				</th>
			</tr>
		</thead>
		<tbody ng-hide="hideForm">
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Valido da</label>
				</td>
				<td ng-bind="(conf.inizioPeriodoValidazione| date: 'dd/MM/yyyy')">
				</td>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Valido a</label>
				</td>
				<td ng-bind="conf.finePeriodoValidazione| date: 'dd/MM/yyyy'">
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Tipo CAP</label>
				</td>
				<td>
					{{conf.flagCapMultiplo == true ? 'multiplo' : 'singolo'}}
				</td>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">CAP</label>
				</td>
				<td ng-bind="conf.valoreCap | currency : '&euro;' : 2">
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">% Aggio sottosoglia</label>
				</td>
				<td>
					{{conf.aggioSottosoglia}}
				</td>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">% Aggio soprasoglia</label>
				</td>
				<td>
					{{conf.aggioSoprasoglia}}
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Soglia</label>
				</td>
				<td ng-bind="conf.soglia | currency : '&euro;' : 2">
				</td>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Utente creazione</label>
				</td>
				<td>
					{{conf.utenteCreazione}}
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Data Creazione</label>
				</td>
				<td ng-bind="(conf.dataCreazione | date: 'dd/MM/yyyy HH:mm:ss')">
				</td>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Tipo ultima modifica</label>
				</td>
				<td>
					{{conf.tipoUltimaModifica}}
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Utente ultima modifica</label>
				</td>
				<td>
					{{conf.utenteUltimaModifica}}
				</td>
				<td class="fieldLabel medium">
					<label class="muted pull-right marginRight10px">Data e ora ultima modifica</label>
				</td>
				<td ng-bind="(conf.dataUltimaModifica| date: 'dd/MM/yyyy')">
				</td>
			</tr>
		</tbody>
	</table>
</div>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
